首页 > 程序开发 > 移动开发 > 其他 >

Myeclipse运行JMS的生产者时,报错:“java.lang.UnsupportedClassVersionError : Unsupported major.minor version 51”

2017-06-14

Myeclipse运行JMS的生产者时,报错:“java lang UnsupportedClassVersionError : Unsupported major minor version 51”。

Myeclipse运行JMS的生产者时,报错:“java.lang.UnsupportedClassVersionError : Unsupported major.minor version 51”。

报错内容:

java.lang.UnsupportedClassVersionError: P2P/Producer : Unsupported major.minor version 51.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:621)
at java.net.URLClassLoader.defineClass(URLClassLoader.java:260)
at java.net.URLClassLoader.access000(URLClassLoader.java:56)atjava.net.URLClassLoader1.run(URLClassLoader.java:195)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
at java.lang.ClassLoader.loadClass(ClassLoader.java:307)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)
at java.lang.ClassLoader.loadClass(ClassLoader.java:252)
at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:320)

错误分析:

由于源代码使用高版本的jdk编译的,而在执行的时候,使用的是低版本的jdk。
使用的jar包是:activemq-all-5.11.1.jar,在此文件下的META-INF/MANIFEST.MF文件中指明了编译的环境是:jdk1.7,
如下图:
这里写图片描述

修改方法

到ActiveMQ的官网下载与自己系统jdk版本的对应的软件。

相关文章
最新文章
热点推荐